// $(document).ready(function() {


//   // generatePI_NO();
//   // generateQUOTATION_NO();
//   // generateINVOICE_NO();
//   // generateCOMPANY_CODE();


// });


function generatePI_NO()
{
  $.ajaxSetup({

    headers: {
      
    'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
      
    }
      
    });  
      $.ajax({
      
        url:url_generatenumber,
      
        type:"POST",
      
        data:{
            "po_number":"po_number"
        },
         
        success:function(data)
        {
            if(data.pi_no==null)
          {
            var currentyear=new Date().getFullYear();
            var final=('PRO'+currentyear+'0001');
            $(document).find('#generated_quotationcode').val(final);

          }
          else
          {
          var lastno=data.pi_no; 
          var currentyear=new Date().getFullYear() ;
          var number=lastno.replace('PRO'+currentyear,'');
            number++;
          var getfinalnumber=pad(number,"5");
          var final=('PRO'+currentyear+getfinalnumber);
            console.log(final);
            return final;
          }
        }
      });
}

// function generateQUOTATION_NO()
// {
//   $.ajaxSetup({

//     headers: {
      
//     'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
      
//     }
      
//     });  
//       $.ajax({
      
//         url:url_generatenumber,
      
//         type:"POST",
      
//         data:{
//             "quotation_number":"quotation_number"
//         },
         
//         success:function(data)
//         {
//           // console.log(data.quotation_no);
//           var lastno=data.quotation_no; 
//           var currentyear=new Date().getFullYear() ;
//           var number=lastno.replace('QR'+currentyear,'');
//             number++;
//           var getfinalnumber=pad(number,"5");
//           var final=('QR'+currentyear+getfinalnumber);
//             console.log(final);
//             return final;

//         }
//       });
// }

/*function generateINVOICE_NO()
{
  $.ajaxSetup({

    headers: {
      
    'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
      
    }
      
    });  
      $.ajax({
      
        url:url_generatenumber,
      
        type:"POST",
      
        data:{
            "invoice_number":"invoice_number"
        },
         
        success:function(data)
        {
          // console.log(data.quotation_no);
          var lastno=data.invoice_no; 
          var currentyear=new Date().getFullYear() ;
          var number=lastno.replace('IN'+currentyear,'');
            number++;
          var getfinalnumber=pad(number,"5");
          var final=('IN'+currentyear+getfinalnumber);
            console.log(final);
            return final;

        }
      });
}*/

function generateCOMPANY_CODE()
{
  $.ajaxSetup({

    headers: {
      
    'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
      
    }
      
    });  
      $.ajax({
      
        url:url_generatenumber,
      
        type:"POST",
      
        data:{
            "company_code":"company_code"
        },
         
        success:function(data)
        {
          var lastno=data.company_code;  
          var number=lastno.replace('TTB-C-','');
            number++;
          var getfinalnumber=pad(number,"6");
          var final=('TTB-C-'+getfinalnumber);
            console.log(final);
            return final;

        }
      });
}

function pad (str, max) {
  str = str.toString();
  return str.length < max ? pad("0" + str, max) : str;
} 